Bug 530111 - (CVE-2009-3553) CVE-2009-3553 cups: Use-after-free (crash) due improper reference counting in abstract file descriptors handling interface
CVE-2009-3553 cups: Use-after-free (crash) due improper reference counting in...
Status: ASSIGNED
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.cups.org/str.php?L3200
impact=moderate,source=upstream,publi...
: Security
Depends On: 536787 536788
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 11:28 EDT by Tim Waugh
Modified: 2017-01-31 16:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3200 None None None Never

  None (edit)
Comment 1 Jan Lieskovsky 2009-10-21 12:10:45 EDT
An use-after-free flaw was found in the way CUPS handled references in its
file descriptors handling interface. A remote attacker could, in a
specially-crafted way, query for the list of current print jobs for a
specific printer, leading to a denial of service (cupsd crash).

Upstream bug report:
-------------------
http://www.cups.org/str.php?L3200 (currently inaccessible)

Reproducer from upstream STR#3200 issue:
----------------------------------------
1. produce 300 active jobs on the CUPS server.
2. extract client.zip to any directory
3. execute: java -cp "cups-java-client-1.3.jar";. TestCupsGetJobs 10.236.33.136
  (replace 10.236.33.136 with your server address)
Comment 3 Jan Lieskovsky 2009-10-21 12:15:09 EDT
This issue does NOT affect the versions of cups package, as shipped 
with Red Hat Enterprise Linux 3 and 4.

This issue affects the versions of the cups package, as shipped
with Red Hat Enterprise Linux 5.
Comment 13 errata-xmlrpc 2009-11-18 07:50:02 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1595 https://rhn.redhat.com/errata/RHSA-2009-1595.html
Comment 14 Fedora Update System 2009-11-30 23:18:12 EST
cups-1.4.2-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-11-30 23:33:37 EST
cups-1.4.2-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-12-03 06:40:32 EST
cups-1.3.11-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cups-1.3.11-4.fc10
Comment 17 Fedora Update System 2009-12-04 18:49:15 EST
cups-1.3.11-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 errata-xmlrpc 2010-01-12 11:21:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1595 https://rhn.redhat.com/errata/RHSA-2009-1595.html

Note You need to log in before you can comment on or make changes to this bug.